from    mako.template      import Template
from    config             import globalvar

class main:

    def __init__(self):
        pass

    def html(self, params):
        title       = "CostaPy"

        user_roles  = [1,2]    # A roles that user have
        active_page = "Sample" # Current active page name
        
        copyright   = "Copyright (C) 2022 Dita Aji Pratama"
        greeting    = "A prime dashboard based on bootstrap 5"
        
        menu_navbar = [
            {
                "name":"Home",
                "target":"_self",
                "href":"#",
                "notification":0,
                "roles":[1,2]
            },
            {
                "name":"Customize",
                "href":"#",
                "target":"_self",
                "notification":0,
                "roles":[1,2]
            },
            {
                "name":"Notification",
                "href":"#",
                "target":"_self",
                "notification":1,
                "roles":[1,2]
            }
        ]
            
        menu_profile = {
            "picture": "https://ditaajipratama.net/img/no-profile-donut.png",
            "name"   : "Dita Aji Pratama",
            "menu"   : [
                {
                    "name"  :"Profile",
                    "href"  :"/profile",
                    "target":"_self",
                    "roles" :[1,2]
                },
                {
                    "name"  :"Settings",
                    "href"  :"/settings",
                    "target":"_self",
                    "roles" :[1,2]
                },
                {
                    "name"  :"Logout",
                    "href"  :"/logout",
                    "target":"_self",
                    "roles" :[1,2,3]
                }
            ]
        }
        
        menu_sidebar = [
            {
                "icon":"fa-solid fa-gauge",
                "name":"Dashboard",
                "target":"_self",
                "href":"#",
                "roles":[1,2]
            },
            {
                "icon":"fa-solid fa-users",
                "name":"Users",
                "target":"_self",
                "href":"#",
                "roles":[1,2]
            },
            {
                "icon":"fa-solid fa-book",
                "name":"Items",
                "target":"_self",
                "href":"#",
                "roles":[1,2]
            },
            {
                "icon":"fa-solid fa-book",
                "name":"Analytic",
                "target":"_self",
                "href":"#",
                "roles":[1,2]
            },
            {
                "icon":"fa-solid fa-book",
                "name":"Reports",
                "target":"_self",
                "href":"#",
                "roles":[1,2]
            }
        ]
        
        return Template(params["mako"]["website"]['index']).render(
            title     = title,
            navbar    = Template(params["mako"]["website"]['navbar']).render(
                title       = title,
                menu        = menu_navbar,
                profile     = menu_profile,
                user_roles  = user_roles,
                active_page = active_page
            ),
            sidebar   = Template(params["mako"]["website"]['sidebar']).render(
                menu        = menu_sidebar,
                user_roles  = user_roles,
                active_page = active_page
            ),
            footer    = Template(params["mako"]["website"]['footer']).render(
                copyright   = copyright,
            ),
            container = Template(params["mako"]["website"]['container']).render(
                greeting    = greeting
            )
        )
